<?php
	$target='guia';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Usuarios/mensajeros.php"); 
	$nombrepagina = "CREACION DE MANIFIESTO";
	encabezado($target); 
	$user=$_SESSION['validar'];
	$filas=1;   
    if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		class obtiene{
			var $userObj;
			function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
			}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
?><CENTER><?

	
	$man=$_SESSION['manifiesto'];
?>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Sucursal a Manifestar ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Sucursal:</td>
<td width="200" class="miTable_td">
<select name="sucursal" class="inputbox">
<?
get_sucursales_todas($_GET['suc'],$_POST['sucursal']);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">No Guia:</td>
<td width="200" class="miTable_td">
<input type="text" name="guia" class="inputbox">
<input type="hidden" name="cantidad" class="inputbox" value="<? if ($_POST['cantidad']==''){ echo '1';}else{ echo $_POST['cantidad']+1;}?>">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Crear Manifiesto" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
	 if(!isset($guia)){

     }else{
		class crearSucursal{
			var $crearObj;
			var $conexionObj;
			var $estado;
			function validar($id_suc,$guia,$cant,$tabla){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				if($cant==1){
					$rst_crear_planilla=$this->conexionObj->consultar("INSERT INTO manifiesto VALUES ('0', current_date(), current_time(), '".$_GET['id_user']."', '0', '".$_GET['suc']."', '".$id_suc."')");			
				}
				$rst_select=$this->conexionObj->consultar("SELECT id_manifiesto, nit, nombre, cantidad ".
				"FROM manifiesto as m inner join sucursales as s on m.id_sucursal_dest=s.id_sucursal ".
				"WHERE m.id_sucursal_dest='".$id_suc."' ORDER BY id_manifiesto DESC");
				$tomar_manifiesto=mysql_fetch_array($rst_select);
				$manifiesto=$tomar_manifiesto[0];
				$_SESSION['manifiesto']=$manifiesto;
				$nit=$tomar_manifiesto[1];
				$nombre=$tomar_manifiesto[2];
				$cant_guias=$tomar_manifiesto[3];
				$cant_guias=$cant_guias;
				$rst_select_suc=$this->conexionObj->consultar("SELECT * FROM sucursales WHERE id_sucursal='".$id_suc."'");
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM $tabla WHERE guia='".$guia."'");
				if(mysql_num_rows($rst_validar)>=1){
					$this->insertarDatos($id_suc,$guia,$cant,$manifiesto,$tabla,$nit,$nombre,$cant_guias);
				}else{
				$sql="select * from info_empresa ";
				$ruta_logo=logo($sql);
			
					echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
					<td class=miTable_th1><div align="center">
					..:: MANIFIESTO No '.$manifiesto.' ::..</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>NIT SUCURSAL:</b> '.$nit.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>NOMBRE SUCURSAL:</b> '.$nombre.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>CANTIDAD:</b> '.$cant_guias.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_th1><div align="center"></div></td></tr></table>';
					if($_POST['cantidad']>=1){
						echo '<table width="400" border="0"><tr><td align="center">';
						echo '<a href="Pdf/planilladetallada_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
						echo '<td align="center"><a href="Pdf/planillaresumida_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
						echo '</tr></table>';
					}
					echo '</center>';
						$msgBOX2 = "No Existe La Guia No ".$guia;
	  		    	echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
				}
			}
			function insertarDatos($id_suc,$guia,$cant,$manifiesto,$tabla,$nit,$nombre,$cant_guias){
				
				$estado=18;		
				$rst_insertar=$this->conexionObj->modificar("UPDATE $tabla SET id_sucursal = '$id_suc', id_estado = '$estado', id_manifiesto = '$manifiesto' WHERE guia = '".$guia."' AND id_mensajero = '0' AND id_manifiesto = '0'");
				$affected_rows=mysql_affected_rows();
				$this->userObj=new select_zonas();
				$tabla_rastreo=$this->userObj->get_tabla_rastreo($id_suc);
				if($affected_rows>=1){
					$sql="select * from info_empresa ";
					$ruta_logo=logo($sql);
					
					$rst_validar=$this->conexionObj->consultar("SELECT E19 FROM $tabla_rastreo WHERE guia = '$guia' ORDER BY id DESC");
					$sql_p="SELECT E19 FROM $tabla_rastreo WHERE guia = '$guia' ORDER BY id DESC";
					$reenv=mysql_fetch_array($rst_validar);
					$valida=$reenv[0];
					$this->userObj=new select_zonas();
					if($valida==0){
						$id=$this->userObj->get_id($guia);
					}else{
						$rst_insertar=$this->conexionObj->consultar("INSERT INTO $tabla_rastreo (guia) values ($guia)");
						$id=$this->userObj->get_id($guia);
					}
					$rst_select=$this->conexionObj->modificar("UPDATE $tabla_rastreo SET E$estado='$estado', F$estado = current_date() WHERE guia = '$guia' AND id='$id'");
					$rst_update_planilla=$this->conexionObj->modificar("UPDATE manifiesto SET cantidad = cantidad+1 WHERE id_manifiesto = '$manifiesto'");
					$cant_guias=$cant_guias+1;
					echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
					<td class=miTable_th1><div align="center">
					..:: MANIFIESTO No '.$manifiesto.' ::..</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>NIT SUCURSAL:</b> '.$nit.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>NOMBRE SUCURSAL:</b> '.$nombre.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
					<b>CANTIDAD:</b> '.$cant_guias.'</div></td></tr>';
					echo '<tr class=miTable_tr><td class=miTable_th1><div align="center"></div></td></tr></table>';
					if($_POST['cantidad']>=1){
							echo '<table width="400" border="0"><tr><td align="center">';
							echo '<a href="Pdf/planilladetallada_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Manifiesto Detalle</a></td>';
							echo '<td align="center"><a href="Pdf/planillaresumida_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Manifiesto Resumen</a></td>';
							echo '</tr></table>';
						}
					echo '</center>';
				}else{
					echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: MANIFIESTO No '.$manifiesto.' ::..</div></td></tr>';
				echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
				<b>NIT SUCURSAL:</b> '.$nit.'</div></td></tr>';
				echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
				<b>NOMBRE SUCURSAL:</b> '.$nombre.'</div></td></tr>';
				echo '<tr class=miTable_tr><td class=miTable_td><div align="center">
				<b>CANTIDAD:</b> '.$cant_guias.'</div></td></tr>';
				echo '<tr class=miTable_tr><td class=miTable_th1><div align="center"></div></td></tr></table>';
				if($_POST['cantidad']>=1){
						echo '<table width="400" border="0"><tr><td align="center">';
							echo '<a href="Pdf/planilladetallada_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Manifiestos Detalle</a></td>';
							echo '<td align="center"><a href="Pdf/planillaresumida_mani.php?manifiesto='.$manifiesto.'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Manifiestos Resumen</a></td>';
							echo '</tr></table>';
					}
					echo '</center>';
					$msgBOX2 = "Guia No ".$guia." Esta Manifestada.";
	  		    	echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar($_POST['sucursal'],$_POST['guia'],$_POST['cantidad'],$_POST['tabla']);
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>